// _GestionRemun_Interface.java
// Created on 19 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.onglets;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionRemun_Interface extends COFrame {

    /** Creates new form _GestionRemun_Interface */
    public _GestionRemun_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTabbedPane1 = new javax.swing.JTabbedPane();
        Administration = new javax.swing.JPanel();
        jTabbedPane2 = new javax.swing.JTabbedPane();
        ParamEtrageDesPrimes = new javax.swing.JPanel();
        Exclusions = new javax.swing.JPanel();
        jTabbedPane3 = new javax.swing.JTabbedPane();
        Prime = new javax.swing.JPanel();
        Position = new javax.swing.JPanel();
        Conge = new javax.swing.JPanel();
        Fonctions = new javax.swing.JPanel();
        Populations = new javax.swing.JPanel();
        ParametresPrimes = new javax.swing.JPanel();
        Programmes = new javax.swing.JPanel();
        Structures = new javax.swing.JPanel();
        Budget = new javax.swing.JPanel();
        PersonnalisationDesIndemnitEs = new javax.swing.JPanel();
        PersonnalisationDesIndemnites = new javax.swing.JPanel();

        setControllerClassName("org.cocktail.mangue.client.onglets.GestionRenum");
        setSize(new java.awt.Dimension(920, 707));

        jTabbedPane1.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane2.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ParamEtrageDesPrimesLayout = new org.jdesktop.layout.GroupLayout(ParamEtrageDesPrimes);
        ParamEtrageDesPrimes.setLayout(ParamEtrageDesPrimesLayout);
        ParamEtrageDesPrimesLayout.setHorizontalGroup(
            ParamEtrageDesPrimesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 823, Short.MAX_VALUE)
        );
        ParamEtrageDesPrimesLayout.setVerticalGroup(
            ParamEtrageDesPrimesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 588, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Paramétrage des Primes", ParamEtrageDesPrimes);

        jTabbedPane3.setFont(new java.awt.Font("Helvetica", 0, 12));

        Prime.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout PrimeLayout = new org.jdesktop.layout.GroupLayout(Prime);
        Prime.setLayout(PrimeLayout);
        PrimeLayout.setHorizontalGroup(
            PrimeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 794, Short.MAX_VALUE)
        );
        PrimeLayout.setVerticalGroup(
            PrimeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 526, Short.MAX_VALUE)
        );

        jTabbedPane3.addTab("Prime", Prime);

        Position.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout PositionLayout = new org.jdesktop.layout.GroupLayout(Position);
        Position.setLayout(PositionLayout);
        PositionLayout.setHorizontalGroup(
            PositionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 794, Short.MAX_VALUE)
        );
        PositionLayout.setVerticalGroup(
            PositionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 526, Short.MAX_VALUE)
        );

        jTabbedPane3.addTab("Position", Position);

        Conge.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout CongeLayout = new org.jdesktop.layout.GroupLayout(Conge);
        Conge.setLayout(CongeLayout);
        CongeLayout.setHorizontalGroup(
            CongeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 794, Short.MAX_VALUE)
        );
        CongeLayout.setVerticalGroup(
            CongeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 526, Short.MAX_VALUE)
        );

        jTabbedPane3.addTab("Congé", Conge);

        org.jdesktop.layout.GroupLayout ExclusionsLayout = new org.jdesktop.layout.GroupLayout(Exclusions);
        Exclusions.setLayout(ExclusionsLayout);
        ExclusionsLayout.setHorizontalGroup(
            ExclusionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ExclusionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 815, Short.MAX_VALUE)
                .addContainerGap())
        );
        ExclusionsLayout.setVerticalGroup(
            ExclusionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ExclusionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 569, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(19, Short.MAX_VALUE))
        );

        jTabbedPane2.addTab("Exclusions", Exclusions);

        Fonctions.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout FonctionsLayout = new org.jdesktop.layout.GroupLayout(Fonctions);
        Fonctions.setLayout(FonctionsLayout);
        FonctionsLayout.setHorizontalGroup(
            FonctionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 823, Short.MAX_VALUE)
        );
        FonctionsLayout.setVerticalGroup(
            FonctionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 588, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Fonctions", Fonctions);

        Populations.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout PopulationsLayout = new org.jdesktop.layout.GroupLayout(Populations);
        Populations.setLayout(PopulationsLayout);
        PopulationsLayout.setHorizontalGroup(
            PopulationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 823, Short.MAX_VALUE)
        );
        PopulationsLayout.setVerticalGroup(
            PopulationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 588, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Populations", Populations);

        ParametresPrimes.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ParametresPrimesLayout = new org.jdesktop.layout.GroupLayout(ParametresPrimes);
        ParametresPrimes.setLayout(ParametresPrimesLayout);
        ParametresPrimesLayout.setHorizontalGroup(
            ParametresPrimesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 823, Short.MAX_VALUE)
        );
        ParametresPrimesLayout.setVerticalGroup(
            ParametresPrimesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 588, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Paramètres Primes", ParametresPrimes);

        Programmes.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ProgrammesLayout = new org.jdesktop.layout.GroupLayout(Programmes);
        Programmes.setLayout(ProgrammesLayout);
        ProgrammesLayout.setHorizontalGroup(
            ProgrammesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 823, Short.MAX_VALUE)
        );
        ProgrammesLayout.setVerticalGroup(
            ProgrammesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 588, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Programmes", Programmes);

        Structures.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout StructuresLayout = new org.jdesktop.layout.GroupLayout(Structures);
        Structures.setLayout(StructuresLayout);
        StructuresLayout.setHorizontalGroup(
            StructuresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 823, Short.MAX_VALUE)
        );
        StructuresLayout.setVerticalGroup(
            StructuresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 588, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Structures", Structures);

        org.jdesktop.layout.GroupLayout AdministrationLayout = new org.jdesktop.layout.GroupLayout(Administration);
        Administration.setLayout(AdministrationLayout);
        AdministrationLayout.setHorizontalGroup(
            AdministrationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, AdministrationLayout.createSequentialGroup()
                .addContainerGap(10, Short.MAX_VALUE)
                .add(jTabbedPane2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 844, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        AdministrationLayout.setVerticalGroup(
            AdministrationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(AdministrationLayout.createSequentialGroup()
                .add(jTabbedPane2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 631, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(7, Short.MAX_VALUE))
        );

        jTabbedPane1.addTab("Administration", Administration);

        Budget.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout BudgetLayout = new org.jdesktop.layout.GroupLayout(Budget);
        Budget.setLayout(BudgetLayout);
        BudgetLayout.setHorizontalGroup(
            BudgetLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 859, Short.MAX_VALUE)
        );
        BudgetLayout.setVerticalGroup(
            BudgetLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 638, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Budget", Budget);

        PersonnalisationDesIndemnitEs.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout PersonnalisationDesIndemnitEsLayout = new org.jdesktop.layout.GroupLayout(PersonnalisationDesIndemnitEs);
        PersonnalisationDesIndemnitEs.setLayout(PersonnalisationDesIndemnitEsLayout);
        PersonnalisationDesIndemnitEsLayout.setHorizontalGroup(
            PersonnalisationDesIndemnitEsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 859, Short.MAX_VALUE)
        );
        PersonnalisationDesIndemnitEsLayout.setVerticalGroup(
            PersonnalisationDesIndemnitEsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 638, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Personnalisation des Indemnités", PersonnalisationDesIndemnitEs);

        PersonnalisationDesIndemnites.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout PersonnalisationDesIndemnitesLayout = new org.jdesktop.layout.GroupLayout(PersonnalisationDesIndemnites);
        PersonnalisationDesIndemnites.setLayout(PersonnalisationDesIndemnitesLayout);
        PersonnalisationDesIndemnitesLayout.setHorizontalGroup(
            PersonnalisationDesIndemnitesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 859, Short.MAX_VALUE)
        );
        PersonnalisationDesIndemnitesLayout.setVerticalGroup(
            PersonnalisationDesIndemnitesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 638, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Attribution des Indemnités", PersonnalisationDesIndemnites);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(20, 20, 20)
                .add(jTabbedPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 880, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(20, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(15, 15, 15)
                .add(jTabbedPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 681, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(11, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JPanel Administration;
    public javax.swing.JPanel Budget;
    public javax.swing.JPanel Conge;
    public javax.swing.JPanel Exclusions;
    public javax.swing.JPanel Fonctions;
    public javax.swing.JPanel ParamEtrageDesPrimes;
    public javax.swing.JPanel ParametresPrimes;
    public javax.swing.JPanel PersonnalisationDesIndemnitEs;
    public javax.swing.JPanel PersonnalisationDesIndemnites;
    public javax.swing.JPanel Populations;
    public javax.swing.JPanel Position;
    public javax.swing.JPanel Prime;
    public javax.swing.JPanel Programmes;
    public javax.swing.JPanel Structures;
    public javax.swing.JTabbedPane jTabbedPane1;
    public javax.swing.JTabbedPane jTabbedPane2;
    public javax.swing.JTabbedPane jTabbedPane3;
    // End of variables declaration//GEN-END:variables
                  

}
